adinstbpm - Task #17730

Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Orbit Group (0x001e)
09/15/2017 11:31 AM - John Diamond

Status: Work in progress Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 4.00 hours
Target version: Spent time: 5.00 hours
Description

History

#1 - 09/16/2017 10:42 AM - John Diamond
- Status changed from New to Assigned
- Assignee set to John Diamond

- Estimated time set to 4.00 h

#2 - 10/10/2017 06:23 PM - John Diamond

- Status changed from Assigned to Work in progress

#3 - 10/17/2017 11:38 AM - John Diamond
Implemented the reading property as BoosterCrateACNET ::orbitGroupRead() (attribute ID 0x1C).

#4 - 10/17/2017 11:43 AM - John Diamond
- % Done changed from 0 to 60

#5 - 10/19/2017 03:18 PM - John Diamond
- % Done changed from 60 to 90

Implemented Setting, Basic Status & Basic Control properties. However, these only manipulate a local variable and need to be attached to the
Booster BPM state machine in the future.
